Package org.sqlite.util

## Class LibraryLoaderUtil

- java.lang.Object
- - org.sqlite.util.LibraryLoaderUtil

    public class LibraryLoaderUtil
    extends Object

### Constructor Summary

Constructors
`LibraryLoaderUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getNativeLibName()` Get the OS-specific name of the sqlitejdbc native library.
`static String` `getNativeLibResourcePath()` Get the OS-specific resource directory within the jar, where the relevant sqlitejdbc native library is located.
`static boolean` `hasNativeLib​(String path, String libraryName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibraryLoaderUtil

    public LibraryLoaderUtil()

### Method Detail

#### getNativeLibResourcePath

    public static String getNativeLibResourcePath()

Get the OS-specific resource directory within the jar, where the relevant sqlitejdbc native library is located.

#### getNativeLibName

    public static String getNativeLibName()

Get the OS-specific name of the sqlitejdbc native library.

#### hasNativeLib

    public static boolean hasNativeLib​(String path,
                                       String libraryName)